import BaseTransformer from './BaseTransformer';
export interface PaginationOptions {
    per_page?: string | number;
    total_pages?: string | number;
    current_page?: string | number;
    total?: string | number;
    links?: string | number;
    count?: string | number;
    page?: string | number;
    items_per_page?: string | number;
    page_count?: string | number;
    items_length?: string | number;
    page_start?: string | number;
    page_stop?: string | number;
    include?: string | string[];
}
export interface MetaOptions {
    pagination?: PaginationOptions;
    include?: string | string[];
}
declare class PaginationTransformer extends BaseTransformer {
    static fetch(meta: MetaOptions | any): any;
}
export default PaginationTransformer;
