"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Validator = exports.PaginationTransformer = exports.BaseTransformer = exports.BaseProxy = void 0;
const BaseProxy_1 = __importDefault(require("./core/BaseProxy"));
exports.BaseProxy = BaseProxy_1.default;
const Validator_1 = __importDefault(require("./core/Validator"));
exports.Validator = Validator_1.default;
const BaseTransformer_1 = __importDefault(require("./core/BaseTransformer"));
exports.BaseTransformer = BaseTransformer_1.default;
const PaginationTransformer_1 = __importDefault(require("./core/PaginationTransformer"));
exports.PaginationTransformer = PaginationTransformer_1.default;
// augment typings of Vue.js
require("./vue");
class VueApiQueries {
    install(Vue) {
        Vue.mixin({
            beforeCreate() {
                this.$options.$errors = {};
                Vue.util.defineReactive(this.$options, '$errors', Validator_1.default);
                if (!this.$options.computed) {
                    this.$options.computed = {};
                }
                this.$options.computed.$errors = function () {
                    return this.$options.$errors;
                };
            },
        });
    }
}
exports.default = new VueApiQueries();
